#ifndef _char

#define _char


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include <string.h>

#include <ctype.h>

#include <dirent.h>

#include <array.h>

#include <string.h>

#include <stdlib.h>

#include <stdio.h>


int char_operator_compare( char * this, char * b );

void char_operator_add( char * this, char * b );

char * char_operator_plus( char * this, char * b );

int char_compare( char * this, char * b );

char * char_concatenate( char * this, char * b );

char * char_clone( char * this );

char * char_copy( char * this );

struct array * char_split( char * this, char * needle );

char * char_removeWhitespaceLeft( char * this );

char * char_removeWhitespaceRight( char * this );

char * char_removeWhitespace( char * this );

#endif
